For the complete documentation index, see llms.txt. This page is also available as Markdown.

Stock

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getStock

post

Retrieve Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
StockTypeintegerRequired
Responses
200

Successful operation.

application/json
post/getStock
POST /nexum/627/2022.01/parameter/getStock HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 149

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "StockType": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Stock": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getStock"
}

getStockSelectFields

post

Retrieve Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
StockTypeintegerOptional
Responses
200

Successful operation.

application/json
post/getStockSelectFields
POST /nexum/627/2022.01/parameter/getStockSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 224

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "StockType": 0,
  "SelectableFields": {
    "StockFields": {
      "Type": true,
      "TypeDescription": true
    }
  }
}
200

Successful operation.

{
  "Stock": {
    "Type": 0,
    "TypeDescription": null
  },
  "MessageId": "getStockSelectFields"
}

getStockPagedList

post

Retrieve Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getStockPagedList
POST /nexum/627/2022.01/parameter/getStockPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Stock": [],
  "Token": null,
  "MessageId": "getStockPagedList"
}

getStockListSelectFields

post

Retrieve Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getStockListSelectFields
POST /nexum/627/2022.01/parameter/getStockListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 188

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllStockFields": true
  }
}
200

Successful operation.

{
  "StockList": [],
  "MessageId": "getStockListSelectFields"
}

searchStockSelectFields

post

Search Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchStockSelectFields
POST /nexum/627/2022.01/parameter/searchStockSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 226

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllStockFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "StockList": [],
  "MessageId": "searchStockSelectFields"
}

getStockPagedListSelectFields

post

Retrieve Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getStockPagedListSelectFields
POST /nexum/627/2022.01/parameter/getStockPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 289

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "StockFields": {
      "Type": true,
      "TypeDescription": true
    }
  }
}
200

Successful operation.

{
  "Stock": [
    {
      "Type": 0,
      "TypeDescription": null
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getStockPagedListSelectFields"
}

searchStockPagedSelectFields

post

Search Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchStockPagedSelectFields
POST /nexum/627/2022.01/parameter/searchStockPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 300

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "StockFields": {
      "Type": true,
      "TypeDescription": true
    }
  }
}
200

Successful operation.

{
  "Stock": [
    {
      "Type": 0,
      "TypeDescription": null
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchStockPagedSelectFields"
}

updateStockByID

post

Update Stock parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
StockTypeintegerOptional
Responses
200

Successful operation.

application/json
post/updateStockByID
POST /nexum/627/2022.01/parameter/updateStockByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 213

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "StockType": 1,
  "StockUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateStockByID"
}

Last updated

Was this helpful?